# listConnectionDiscussionItems

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/discussion-items |

| Field | Value |
|---|---|
| operationId | listConnectionDiscussionItems |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /discussion-items |
| tags | `Session Content` |
| summary | List connection discussion items |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| intent | query | true | string | selected session intent |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Discussion items for the intent | #/components/schemas/DiscussionItemResponseDto |
| 400 | Missing or invalid intent query parameter | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
